Skip to content
Navigation

Get watchlist

GET
https://api.sureshake.com/v2/watchlists/{watchlistId}

Path parameters

  • watchlistId
    string
    required
    format: uuid

Returns

200

Default Response

JSON
  • data
    object
    required
    • id
      string
      required
      format: uuid
    • name
      string
      required
    • description
      string
      or null
      required
    • isActive
      boolean
      required
    • entityCount
      integer
      required
      minimum: 0
    • createdAt
      string
      required
    • updatedAt
      string
      required
    • entities
      array of
      object
      required
      • entityId
        string
        required
        format: uuid
      • name
        string
        required
      • slug
        string
        required
      • logoUrl
        string
        or null
        required
      • entityType
        string
        or null
        required
      • primaryExchange
        string
        or null
        required
      • primaryTicker
        string
        or null
        required
      • sureshakeTicker
        string
        or null
        required
      • addedAt
        string
        required
    • containsEntity
      optional
      boolean
  • meta
    optional
    object
    • timestamp
      string
      required
      format: date-time

400

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

401

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

403

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

404

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

500

Default Response
JSON
  • error
    object
    required
    • code
      string
      required

      Machine-readable error code (e.g., NOT_FOUND)

    • message
      string
      required

      Human-readable error message

    • details
      optional
      unknown

      Optional structured error details

    • traceId
      optional
      string

      Unique ID for log correlation

Type to search…

↑↓ navigate↵ selectEsc close